Skip to main content

Get Caller ID Resources

API Description

Get information about one or more caller ID resources matching query parameters. When using the callerIdDetails.phoneNumber query parameter, the leading + international prefix symbol is required.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED

Query Parameters

Filters to apply on the operation.

NameInput
id
OPTIONAL
state
OPTIONAL
createdDate
OPTIONAL
updatedDate
OPTIONAL
callerIdDetails.phoneNumber
OPTIONAL
callerIdDetails.department
OPTIONAL
Path Template
GET {url}/api/{version}/orgs/{orgId}/brands/{brandId}/caller-ids?ql={query_parameter};{query_parameter}

Expected to return caller ID resources generated after the specified created date.

Path Example
GET {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/caller-ids?ql=createdDate=gt=2024-10-30T00:00:00Z

Request Headers

NameInput
Accept
OPTIONAL
Authorization
REQUIRED
Example Request Headers
Accept: application/json
Authorization: Bearer <access_token>

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: cbc6080e-53c8-43cb-8d46-082859226bfb
content-type: application/json

Response Body

ParentNameOutput
$.data[]
REQUIRED
$.total
REQUIRED
data[]orgId
REQUIRED
data[]brandId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]updatedDate
REQUIRED
data[]state
REQUIRED
data[]etag
REQUIRED
data[]callerIdDetails
REQUIRED
Example Response Body (raw JSON)
{
"data": [
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654966",
"createdDate": "2026-10-02T11:41:00Z",
"updatedDate": "2026-10-11T18:34:00Z",
"state": "PUBLISHED",
"etag": "5c556a5e-5d47-11ee-863f-325096b39f47",
"callerIdDetails": {
"phoneNumber": "+18005555555",
"department": "department.general.support.customer_service"
}
},
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654419",
"createdDate": "2026-10-01T10:31:00Z",
"updatedDate": "2026-10-01T10:31:00Z",
"state": "PUBLISHED",
"etag": "e8bba96a-5d4a-11ee-a2af-325096b39f47",
"callerIdDetails": {
"phoneNumber": "+18007777777",
"department": "department.general.support.service_center"
}
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/api/v1/orgs/9467895078742654934/brands/9467895078742654921/caller-ids?ql=createdDate=gt=2024-10-01T00:00:00Z&limit=2&after=8U54a61d9b495324"
},
"total": 4
}

When no collection is returned.

Example Response Body (raw JSON)
{
"data": [],
"pagination": {},
"total": 0
}